package com.example.myapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import androidx.gridlayout.widget.GridLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    private GridLayout table;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        table = findViewById(R.id.Table);

        table.addView(generateCard(R.drawable.hearts, "K"));
        table.addView(generateCard(R.drawable.clubs, "10"));
        table.addView(generateCard(R.drawable.diamonds, "J"));

        table.addView(generateCard(R.drawable.clubs, "10"));
        table.addView(generateCard(R.drawable.diamonds, "J"));
    }

    LinearLayout generateCard(int lear, String d) {

        // Слой-контейнер одной карты
        LinearLayout card = new LinearLayout(this);
        LinearLayout.LayoutParams cardParam = new LinearLayout.LayoutParams(220, LinearLayout.LayoutParams.WRAP_CONTENT);
        cardParam.weight = 1;
        cardParam.setMargins(20, 20, 20, 20);
        card.setLayoutParams(cardParam);
        card.setOrientation(LinearLayout.VERTICAL);
        card.setBackgroundResource(R.drawable.border);

        // Слой для верхней картинки с мастью
        LinearLayout learTop = new LinearLayout(this);
        learTop.setOrientation(LinearLayout.HORIZONTAL);
        learTop.setGravity(Gravity.LEFT);

        // Слой для нижней картинки с мастью
        LinearLayout learBottom = new LinearLayout(this);
        learBottom.setOrientation(LinearLayout.HORIZONTAL);
        learBottom.setGravity(Gravity.RIGHT);

        // Слой для номинала карты
        LinearLayout denomination = new LinearLayout(this);
        denomination.setOrientation(LinearLayout.HORIZONTAL);

        // Верхняя картинка с мастью
        ImageView topImage = new ImageView(this);
        LinearLayout.LayoutParams topImageParam = new LinearLayout.LayoutParams(100, 100);
        topImage.setLayoutParams(topImageParam);
        topImage.setImageResource(lear);
        topImage.setPadding(20, 20, 20, 20);

        // Нижняя картинка с мастью
        ImageView bottomImage = new ImageView(this);
        LinearLayout.LayoutParams bottomImageParam = new LinearLayout.LayoutParams(100, 100);
        bottomImage.setLayoutParams(bottomImageParam);
        bottomImage.setImageResource(lear);
        bottomImage.setPadding(20, 20, 20, 20);
        bottomImage.setRotation(180);

        TextView textDenomination = new TextView(this);
        LinearLayout.LayoutParams textDenominationParam =
                new LinearLayout.LayoutParams(
                        LinearLayout.LayoutParams.WRAP_CONTENT,
                        LinearLayout.LayoutParams.MATCH_PARENT);
        textDenominationParam.weight = 1;
        textDenomination.setLayoutParams(textDenominationParam);
        textDenomination.setText(d);
        textDenomination.setTextColor(Color.rgb(0,0,0));
        textDenomination.setTextSize(50);
        textDenomination.setTextAlignment(View.TEXT_ALIGNMENT_CENTER);


        card.addView(learTop);
        card.addView(denomination);
        card.addView(learBottom);

        learTop.addView(topImage);
        learBottom.addView(bottomImage);
        denomination.addView(textDenomination);

        return card;
    }

}